# Plutonium framework API: pu::ui Namespace Reference

pu::ui Namespace Reference

## Namespaces

namespace | elm
namespace | extras
namespace | render

## Classes

class | Application
struct | Color
class | Container
class | Dialog
class | Layout
class | Overlay
struct | TouchPoint

## Enumerations

enum class | DefaultFontSize : u32 { Small , Medium , MediumLarge , Large , Count }

## Functions

std::string | MakeDefaultFontName (const u32 font_size)
constexpr u32 | GetDefaultFontSize (const DefaultFontSize kind)
std::string | GetDefaultFont (const DefaultFontSize kind)
static constexpr bool | TouchHitsRegion (const i32 touch_x, const i32 touch_y, const i32 region_x, const i32 region_y, const i32 region_w, const i32 region_h)

## Variables

static constexpr std::array< u32, static_cast< u32 >(DefaultFontSize::Count)> | DefaultFontSizes = { 18, 20, 25, 30 }
constexpr u64 | TouchPseudoKey = HidNpadButton_29

## Enumeration Type Documentation

## DefaultFontSize

enum class pu::ui::DefaultFontSize : u32

strong

Enumerator
Small |
Medium |
MediumLarge |
Large |
Count |

## Function Documentation

## GetDefaultFont()

std::string pu::ui::GetDefaultFont | ( | const DefaultFontSize | kind | ) |

inline

## GetDefaultFontSize()

constexpr u32 pu::ui::GetDefaultFontSize | ( | const DefaultFontSize | kind | ) |

inlineconstexpr

## MakeDefaultFontName()

std::string pu::ui::MakeDefaultFontName | ( | const u32 | font_size | ) |

inline

## TouchHitsRegion()

static constexpr bool pu::ui::TouchHitsRegion | ( | const i32 | touch_x,
|  | const i32 | touch_y,
|  | const i32 | region_x,
|  | const i32 | region_y,
|  | const i32 | region_w,
|  | const i32 | region_h
| ) |  |

inlinestaticconstexpr

## Variable Documentation

## DefaultFontSizes

constexpr std::array<u32, static_cast<u32>(DefaultFontSize::Count)> pu::ui::DefaultFontSizes = { 18, 20, 25, 30 }

inlinestaticconstexpr

## TouchPseudoKey

constexpr u64 pu::ui::TouchPseudoKey = HidNpadButton_29

constexpr